﻿namespace TestProject
{
    /// <summary>
    /// 컨트롤 정보 문서 링크
    /// </summary>
    public class ControlInfoDocumentLink
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 제목 - Title

        /// <summary>
        /// 제목
        /// </summary>
        public string Title { get; private set; }

        #endregion
        #region URI - URI

        /// <summary>
        /// URI
        /// </summary>
        public string URI { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - ControlInfoDocumentLink(title, uri)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="title">제목</param>
        /// <param name="uri">URI</param>
        public ControlInfoDocumentLink(string title, string uri)
        {
            Title = title;
            URI   = uri;
        }

        #endregion
    }
}